import React from "react";
import { RoomMember, Room } from "matrix-js-sdk/src/matrix";
import MatrixClientContext from "../../../../../contexts/MatrixClientContext";
interface IBannedUserProps {
    canUnban?: boolean;
    member: RoomMember;
    by: string;
    reason?: string;
}
export declare class BannedUser extends React.Component<IBannedUserProps> {
    static contextType: React.Context<import("matrix-js-sdk/src/client").MatrixClient>;
    context: React.ContextType<typeof MatrixClientContext>;
    private onUnbanClick;
    render(): React.ReactNode;
}
interface IProps {
    room: Room;
}
export default class RolesRoomSettingsTab extends React.Component<IProps> {
    static contextType: React.Context<import("matrix-js-sdk/src/client").MatrixClient>;
    context: React.ContextType<typeof MatrixClientContext>;
    componentDidMount(): void;
    componentWillUnmount(): void;
    private onRoomStateUpdate;
    private onThisRoomMembership;
    private populateDefaultPlEvents;
    private onPowerLevelsChanged;
    private onUserPowerLevelChanged;
    render(): React.ReactNode;
}
export {};
